package com.ym.klccy

import android.content.Intent
import com.ym.modulecommon.router.RounterParam
import com.ym.modulecommon.router.RounterUri

/**
 * Created by gaoleichao on 2018/12/8.
 */
interface RounterApi {

    @RounterUri(CommentConfig.scheme + "://login")
    fun getIntentActivityLogin(): Intent

    @RounterUri(CommentConfig.scheme + "://local_login")
    fun getIntentActivityLocalLogin(): Intent

//    @RounterUri(CommentConfig.scheme + "://web")
//    fun getIntentActivityAdWeb(
//        @RounterParam("title") title: String,
//        @RounterParam("url") url: String
//    ): Intent

    @RounterUri(CommentConfig.scheme + "://web")
    fun getIntentActivityWeb(
        @RounterParam("title") title: String,
        @RounterParam("url") url: String,
        @RounterParam("showToolbar")showToolbar: Boolean
    ): Intent

    @RounterUri(CommentConfig.scheme + "://adshare")
    fun getIntentActivityAdShare(@RounterParam("data") data: String): Intent

    @RounterUri(CommentConfig.scheme + "://invite_code")
    fun getIntentActivityInviteCode(): Intent

    @RounterUri(CommentConfig.scheme + "://read_and_timer")
    fun getIntentActivityRead(@RounterParam("type") type: String): Intent

    @RounterUri(CommentConfig.scheme + "://click_ad")
    fun getIntentActivityTaskNav(@RounterParam("type") type: String): Intent

    @RounterUri(CommentConfig.scheme + "://wechat_share")
    fun getIntentActivityAdShareList(): Intent

    @RounterUri(CommentConfig.scheme + "://collect")
    fun getIntentActivityCollect(): Intent

    @RounterUri(CommentConfig.scheme + "://news_history")
    fun getIntentActivityNewsHistory(): Intent

    @RounterUri(CommentConfig.scheme + "://setting")
    fun getIntentActivitySetting(): Intent

    @RounterUri(CommentConfig.scheme + "://message")
    fun getIntentActivityMessage(): Intent

    @RounterUri(CommentConfig.scheme + "://news_detail")
    fun getIntentActivityNewsDatail(
        @RounterParam("title") title: String,
        @RounterParam("url") url: String,
        @RounterParam("shareUrl") shareUrl: String,
        @RounterParam("images") images: String,
        @RounterParam("tabid") tabid: String
    ): Intent

    @RounterUri(CommentConfig.scheme + "://video_detail")
    fun getIntentActivityVideoDatail(
        @RounterParam("videoId") videoId: String,
        @RounterParam("url") url: String,
        @RounterParam("isV2") isV2: String,
        @RounterParam("image") image: String,
        @RounterParam("from") from: String
    ): Intent

    @RounterUri(CommentConfig.scheme + "://choice_city")
    fun getIntentActivityChoiceCity(): Intent

    @RounterUri(CommentConfig.scheme + "://new_user_withdraw")
    fun getIntentActivityNewUserWithdraw(): Intent

    @RounterUri(CommentConfig.scheme + "://withdraw")
    fun getIntentActivityWithdraw(): Intent

    @RounterUri(CommentConfig.scheme + "://splash")
    fun getIntentActivitySplash(): Intent

    @RounterUri(CommentConfig.scheme + "://main")
    fun getIntentActivityMain(): Intent

    @RounterUri(CommentConfig.scheme + "://redpackage")
    fun getIntentActivityRedPackage(): Intent

    @RounterUri(CommentConfig.scheme + "://feedback")
    fun getIntentActivityFeedBack(): Intent

    @RounterUri(CommentConfig.scheme + "://videoplay")
    fun getIntentActivityVideoPlay(
        @RounterParam("url") url: String,
        @RounterParam("albumId") albumId: String
        ,
        @RounterParam("id") id: String,
        @RounterParam("title") title: String,
        @RounterParam("pid") pid: String,
        @RounterParam(
            "cChannel"
        ) cChannel: String
    ): Intent

    @RounterUri(CommentConfig.scheme + "://audioplay")
    fun getIntentActivityAudioPlay(
        @RounterParam("url") url: String,
        @RounterParam("albumId") albumId: String
        ,
        @RounterParam("id") id: String,
        @RounterParam("title") title: String,
        @RounterParam("pid") pid: String,
        @RounterParam("cChannel") cChannel: String,
        @RounterParam("jumpTag") jumpTag: String
    ): Intent

    @RounterUri(CommentConfig.scheme + "://search")
    fun getIntentActivitySearch(): Intent

    @RounterUri(CommentConfig.scheme + "://history")
    fun getIntentActivityHistory(): Intent


    @RounterUri(CommentConfig.scheme + "://starlist")
    fun getIntentActivityStarList(
        @RounterParam("CChannel") url: String,
        @RounterParam("pid") albumId: String,
        @RounterParam("albumId") id: String,
        @RounterParam("name") name: String

    ): Intent

    @RounterUri(CommentConfig.scheme + "://gather")
    fun getIntentActivityGather(
        @RounterParam("CChannel") url: String,
        @RounterParam("pid") albumId: String,
        @RounterParam("albumId") id: String,

        @RounterParam("description") description: String,
        @RounterParam("area") area: String,
        @RounterParam("tvYear") tvYear: String,
        @RounterParam("score") score: String,
        @RounterParam("contentType") contentType: String,
        @RounterParam("name") name: String,
        @RounterParam("image") image: String,
        @RounterParam("topVisibleFlag") topVisibleFlag: Boolean,
        @RounterParam("availableMediaNum") availableMediaNum: String,
        @RounterParam("playCnt") playCnt: String

    ): Intent


    @RounterUri(CommentConfig.scheme + "://web")
    fun getIntentWeb(@RounterParam("url") url: String, @RounterParam("title") title: String): Intent

    @RounterUri(CommentConfig.scheme + "://baidu_video")
    fun getIntentBaiduVideo(@RounterParam("url") url: String): Intent

    @RounterUri(CommentConfig.scheme + "://withdrawcash")
    fun getWithDrawCash(): Intent

    @RounterUri(CommentConfig.scheme + "://dialogpermission")
    fun getDialogPermission(): Intent

    @RounterUri(CommentConfig.scheme + "://luckydraw")
    fun getIntentLuckyDraw(): Intent


    @RounterUri(CommentConfig.scheme + "://dimond_crash")
    fun getIntentDimoneCrash(): Intent

    @RounterUri(CommentConfig.scheme + "://task_crash")
    fun getIntentTaskCrash(): Intent

    @RounterUri(CommentConfig.scheme + "://coin_crash")
    fun getIntentCoinCrash(): Intent


    @RounterUri(CommentConfig.scheme + "://slotmachine")
    fun getIntentSlotMachine(): Intent

    @RounterUri(CommentConfig.scheme + "://incomingtelegram")
    fun getIntentIncomingTelegram(): Intent

    @RounterUri(CommentConfig.scheme + "://scratch_card")
    fun getIntentScratchCard(@RounterParam("json") url: String): Intent

    @RounterUri(CommentConfig.scheme + "://soundsearch")
    fun getIntentSoundSearch(): Intent

    @RounterUri(CommentConfig.scheme + "://shave")
    fun getIntentShave(): Intent

    @RounterUri(CommentConfig.scheme + "://task")
    fun getIntentTask(): Intent

    @RounterUri(CommentConfig.scheme + "://gold_details")
    fun getIntentGoldDetails(): Intent

    //    intent.putExtra("url", url)
//    intent.putExtra("title", title)
//    intent.putExtra("slot_id", slot_id)
//    intent.putExtra("sid", sid)
    @RounterUri(CommentConfig.scheme + "://new_web")
    fun getIntentReadH5(
        @RounterParam("url") url: String,
        @RounterParam("title") title: String,
        @RounterParam("slot_id") slot_id: String,
        @RounterParam(
            "sid"
        ) sid: String
    ): Intent

    @RounterUri(CommentConfig.scheme + "://ad_web")
    fun getIntentAdWeb(
        @RounterParam("incentive_level") incentive_level: String,
        @RounterParam("alert") alert: String,
        @RounterParam("alertRenderType") alertRenderType: String,
        @RounterParam("timeTrigger") timeTrigger: String,
        @RounterParam("delay") delay: String,
        @RounterParam("deep_url_re") deep_url_re: String,
        @RounterParam("url") url: String,
        @RounterParam("title") title: String,
        @RounterParam("slot_id") slot_id: String,
        @RounterParam("sid") sid: String
    ): Intent

    @RounterUri(CommentConfig.scheme + "://slot_machine_record")
    fun getIntentSlotMachineRecord(): Intent

    @RounterUri(CommentConfig.scheme + "://setting")
    fun getIntentSetting(): Intent
}